package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @date 2019/6/6 15:07
 */
public class WxLoginReqNew extends BaseRequest {

    private static final long serialVersionUID = 1626806454966566407L;

    @ApiModelProperty(name = "openid", value = "授权公众号openid", required = true)
    @NotBlank
    private String openid;

    @ApiModelProperty(name = "unionid", value = "授权公众号unionid", required = true)
    @NotBlank
    private String unionid;

    @ApiModelProperty(name = "alias", value = "腾讯信鸽token", required = true)
    private String alias;

    @ApiModelProperty(name = "openid", value = "platform", required = true)
    private String platform;

    @ApiModelProperty(name="nickname",value="普通用户昵称",required=true)
    private String nickname;//普通用户昵称
    @ApiModelProperty(name="sex",value="用户的性别（1是男性，2是女性，0是未知） ")
    private String sex;
    @ApiModelProperty(name="province",value="省份")
    private String province;
    @ApiModelProperty(name="city",value="城市")
    private String city;
    @ApiModelProperty(name="country",value="国家")
    private String country;
    @ApiModelProperty(name="headimgurl",value="头像地址",required=true)
    private String headimgurl;

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getHeadimgurl() {
        return headimgurl;
    }

    public void setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
    }
}
